# (kamil) In case of update, update also hyphen-hr, it's the same source

%define languageenglazy Croatian
%define languagecode    hr
%define lc_ctype        hr_HR

%define upstream_version 20040608

Name:           hunspell-%{languagecode}
Epoch:          1
Version:        0.%{upstream_version}.1
Release:        %mkrel 17
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+ or SISSL
Group:          System/Internationalization
URL:            http://cvs.linux.hr/spell/
Source0:        http://cvs.linux.hr/spell/myspell/hr_HR.zip

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-hr
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
chmod -x *

%install
install -D -m 0644 -p %{lc_ctype}.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_hr_HR.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Thu Feb 04 2016 umeabot <umeabot> 1:0.20040608.1-17.mga6
+ Revision: 935731
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.20040608.1-16.mga5
+ Revision: 746310
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.20040608.1-15.mga5
+ Revision: 680250
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 1:0.20040608.1-14.mga4
+ Revision: 505603
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1:0.20040608.1-13.mga3
+ Revision: 353498
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1:0.20040608.1-12.mga3
+ Revision: 325362
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 1:0.20040608.1-11.mga2
+ Revision: 224663
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 1:0.20040608.1-10.mga2
+ Revision: 207951
- use better obsoleting of myspell

* Fri Jan 20 2012 kamil <kamil> 1:0.20040608.1-9.mga2
+ Revision: 198604
- adapt .spec to the current policies

* Fri Jan 20 2012 kamil <kamil> 1:0.20040608.1-8.mga2
+ Revision: 198589
- remove hyphen-hr subpackage (it's now stand-alone)
- clean .spec

* Thu Mar 24 2011 ahmad <ahmad> 1:0.20040608.1-7.mga1
+ Revision: 77003
- fix hyphen- Group

* Sat Mar 12 2011 dmorgan <dmorgan> 1:0.20040608.1-6.mga1
+ Revision: 68829
- imported package hunspell-hr


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.20040608-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 08 2010 Caolán McNamara <caolanm@redhat.com> - 1:0.20040608-5
- add licence notice to all subpackages

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.20040608-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.20040608-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Nov 22 2007 Caolán McNamara <caolanm@redhat.com> - 1:0.20040608-2
- package hyphenation rules

* Tue Aug 21 2007 Caolán McNamara <caolanm@redhat.com> - 1:0.20040608-1
- clarify license
- canonical upstream version

* Thu Dec 07 2006 Caolán McNamara <caolanm@redhat.com> - 0.20060607-1
- initial version
